=== debian/changelog ===
ros-iron-zstd-vendor (0.22.3-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.22.2-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.22.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.22.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.21.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.19.0-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 12 Jan 2023 16:00:00 -0000

ros-iron-zstd-vendor (0.18.0-1jammy) jammy; urgency=high

  * Bump zstd to 1.4.8 in zstd_vendor package (#1132 <https://github.com/ros2/rosbag2/issues/1132>)
  * Fix/zstd vendor does not find system zstd (#1111 <https://github.com/ros2/rosbag2/issues/1111>)
  * Contributors: DasRoteSkelett, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 14 Nov 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.17.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 29 Jul 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.15.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.15.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.14.0-1jammy) jammy; urgency=high

  * Use git hash for zstd vendor (#969 <https://github.com/ros2/rosbag2/issues/969>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.13.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Jan 2022 16:00:00 -0000

ros-iron-zstd-vendor (0.12.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 07 Nov 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.10.1-1jammy) jammy; urgency=high

  * Declare missing dependency on 'git' in zstd_vendor (#890 <https://github.com/ros2/rosbag2/issues/890>)
  * Contributors: Scott K Logan

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 21 Oct 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.10.0-1jammy) jammy; urgency=high

  * Switch to using 'git apply' for zstd_vendor patches (#846 <https://github.com/ros2/rosbag2/issues/846>)
  * Contributors: Christophe Bedard

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Oct 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.9.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 16 May 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.8.0-1jammy) jammy; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 18 Apr 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.7.0-1jammy) jammy; urgency=high

  * Always preserve source permissions in vendor packages (#645 <https://github.com/ros2/rosbag2/issues/645>)
  * Zstd should not install internal headers - some of them try include others that aren't installed. We don't use them. Avoid the situation (#631 <https://github.com/ros2/rosbag2/issues/631>)
  * Contributors: Emerson Knapp, Scott K Logan

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.6.0-1jammy) jammy; urgency=high

  * Patch zstd 1.4.4 to include cmake_minimum_version bump to 2.8.12 (#579 <https://github.com/ros2/rosbag2/issues/579>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 31 Jan 2021 16:00:00 -0000

ros-iron-zstd-vendor (0.5.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 01 Dec 2020 16:00:00 -0000

ros-iron-zstd-vendor (0.4.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Contributors: Michael Jeronimo

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 18 Nov 2020 16:00:00 -0000

ros-iron-zstd-vendor (0.3.2-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-zstd-vendor (0.3.1-1jammy) jammy; urgency=high

  * Shared publisher handle (#420 <https://github.com/ros2/rosbag2/issues/420>)
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-zstd-vendor (0.3.0-1jammy) jammy; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-zstd-vendor (0.2.8-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 17 May 2020 16:00:00 -0000

ros-iron-zstd-vendor (0.2.7-1jammy) jammy; urgency=high




